Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[SOLVED] update problem
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
danilo2
n00b
n00b


Joined: 01 Oct 2010
Posts: 73

PostPosted: Sun Sep 09, 2012 6:30 pm    Post subject: [SOLVED] update problem Reply with quote

Hi!
I was not updating my system for about 2 months and now I've got a problem with some blocked packages.
my emerge -vuDaN world shows:
http://bpaste.net/show/zT26EoNYpHPELcdpZXaX/

The problem is that emerge suggests that I should remove qt3support flag form qt-core and qt-gui. If I remove it than I've got an error saying, that other packages need this flag:
Code:
emerge: there are no ebuilds built with USE flags to satisfy ">=x11-libs/qt-core-4.6:4[qt3support]".
!!! One of the following packages is required to complete your request:
- x11-libs/qt-core-4.8.2::gentoo (Change USE: +qt3support)
(dependency required by "dev-db/sqlitebrowser-2.0_beta1-r2" [installed])
(dependency required by "@selected" [set])
(dependency required by "@world" [argument])


Could you please help me with solving this issue?
Thank you :)


Last edited by danilo2 on Sun Sep 09, 2012 10:11 pm; edited 1 time in total
Back to top
View user's profile Send private message
Hu
Watchman
Watchman


Joined: 06 Mar 2007
Posts: 8990

PostPosted: Sun Sep 09, 2012 7:30 pm    Post subject: Reply with quote

This system appears to be based on Funtoo, not pure Gentoo. You are using a version of VirtualBox masked by a file that Funtoo provides. According to the =x11-libs/qt-opengl-4.8.2 ebuild, you must keep USE=qt3support consistent across Qt packages. What is the output of emerge --info? How did you set qt3support?
Back to top
View user's profile Send private message
VoidMage
Watchman
Watchman


Joined: 14 Oct 2006
Posts: 5575

PostPosted: Sun Sep 09, 2012 7:45 pm    Post subject: Reply with quote

:roll: Most likely, the only thing that was said was the usual "qt3-support useflag must be equal on all qt splits".
Back to top
View user's profile Send private message
danilo2
n00b
n00b


Joined: 01 Oct 2010
Posts: 73

PostPosted: Sun Sep 09, 2012 10:11 pm    Post subject: Reply with quote

Thank you!
that solved my problem! I didn't noticed that this flag was not consistent across Qt packages :)

Thank you once again :)
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum